Loading...
Searching...
No Matches
byteswap.hpp File Reference
`#include <uhd/config.hpp>`
`#include <uhd/types/endianness.hpp>`
`#include <stdint.h>`
`#include <uhd/utils/byteswap.ipp>`
Include dependency graph for byteswap.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | uhd

## Functions

uint16_t | uhd::byteswap (uint16_t)
| perform a byteswap on a 16 bit integer
uint32_t | uhd::byteswap (uint32_t)
| perform a byteswap on a 32 bit integer
uint64_t | uhd::byteswap (uint64_t)
| perform a byteswap on a 64 bit integer
template<typename T>
T | uhd::ntohx (T)
| network to host: short, long, or long-long
template<typename T>
T | uhd::htonx (T)
| host to network: short, long, or long-long
template<typename T>
T | uhd::wtohx (T)
| worknet to host: short, long, or long-long
template<typename T>
T | uhd::htowx (T)
| host to worknet: short, long, or long-long

## Detailed Description

Provide fast byteswaping routines for 16, 32, and 64 bit integers, by using the system's native routines/intrinsics when available.